import { _decorator, Component, Node } from 'cc';
import { base_ui } from '../../fw/base_ui';
import { uiManager } from '../../manager/uiManager';
import { config } from '../../config';
const { ccclass, property } = _decorator;

@ccclass('home_modules_more')
export class home_modules_more extends base_ui {
    @property(Node) btn_youjian:Node = null
    @property(Node) btn_gonggao:Node = null
    @property(Node) btn_fankui:Node = null
    @property(Node) btn_shezhi:Node = null

    @property(Node) img_dot_youjian:Node = null
    @property(Node) img_dot_gonggao:Node = null

    start() {
        this.onButtonListen(this.btn_youjian, ()=>{
            uiManager.Instance().showUi(config.UI.ui_mailbox)
        })
        this.onButtonListen(this.btn_gonggao, ()=>{
            uiManager.Instance().showUi(config.UI.ui_announcement)
        })
        this.onButtonListen(this.btn_fankui, ()=>{
            uiManager.Instance().showUi(config.UI.ui_feedback)
        })
        this.onButtonListen(this.btn_shezhi, ()=>{
            uiManager.Instance().showUi(config.UI.ui_setting)
        })
    }

    public showRedDotYoujian(is_show:boolean) {
        this.img_dot_youjian.active = is_show
    }

    public showRedDotGonggao(is_show:boolean) {
        this.img_dot_gonggao.active = is_show
    }

    public getDotAllShow():boolean {
        let is_show = true
        if(this.img_dot_youjian.active==false && this.img_dot_gonggao.active==false) {
            return false
        }
        return is_show
    }
    
}

